WeekKeys.Affixes = {}
local curr_rotation = nil
local sesionalID = 120
local steps = 0
local AFFIXES = {
    {10, 8, 14}, -- FORTIFIED, SANGUINE, QUAKING
    {9, 7,13}, -- TYRANNICAL, BOLSTERING,EXPLOSIVE
    {10, 11, 3}, -- FORTIFIED, BURSTING, VOLCANIC
    {9, 6, 4}, -- TYRANNICAL, RAGING, NECROTIC
    {10, 5, 14}, -- FORTIFIED, TEEMING, QUAKING
    {9, 11, 2}, -- TYRANNICAL, BURSTING, SKITTISH
    {10, 7, 12}, -- FORTIFIED, BOLSTERING, GRiEVOUS
    {9, 6, 13}, -- TYRANNICAL, RAGING, EXPLOSIVE
    {10, 8, 12}, -- FORTIFIED, SANGUINE, GRiEVOUS
    {9, 5, 3}, -- TYRANNICAL, TEEMING, VOLCANIC
    {10, 7, 2}, -- FORTIFIED, BOLSTERING, SKITTISH
    {9, 11, 4}, -- TYRANNICAL, BURSTING, NECROTIC
}


function WeekKeys.Affixes.init()
    local affixes = C_MythicPlus.GetCurrentAffixes()
    if not affixes then
        return
    end
    for index,value in pairs(AFFIXES) do
        if value[1] == affixes[1].id and value[2] == affixes[2].id and value[3] == affixes[3].id then
            curr_rotation = index
        end
    end
    affixes = nil
end
function WeekKeys.Affixes.GetAffixes()
    if curr_rotation == nil then
        return nil
    end
    if curr_rotation + steps > 12 then
        return AFFIXES[(curr_rotation + steps) % #AFFIXES + 1][1],AFFIXES[(curr_rotation + steps) % #AFFIXES + 1][2],AFFIXES[(curr_rotation + steps) % #AFFIXES + 1][3],sesionalID
    else
        return AFFIXES[curr_rotation + steps][1],AFFIXES[curr_rotation + steps][2],AFFIXES[curr_rotation + steps][3],sesionalID
    end
end

function WeekKeys.Affixes.Next()
    if steps > 11 then
        return
    else
        steps = steps + 1
    end
end

function WeekKeys.Affixes.Previous()
    if steps < 1 then
        return
    else
        steps = steps - 1
    end
end

function WeekKeys.Affixes.GetSteps()
    return steps
end




